10.6 Snow Leopard 10.5 Leopard - impossible d'ouvrir un PKG pour mettre à jour l'OS

Eyden6

Nouveau membre
4 Mars 2020
2
0
33
Bonjour,

on m'a récemment donné trois iMac2007 qui peuvent encore très bien tourner pour une utilisation simple en bureautique. J'aurai simplement besoin de faire une mise à jour de l'OS, pour passer au moins à Yosemite, histoire de pouvoir m'assurer la compatibilité de quelques soft qui me sont indispensables (ne serait-ce qu'un navigateur...).

Sur deux d'entre eux qui fonctionnaient sur Mavericks, aucun problème pour installer Yosemite - les machines tournent même encore vraiment bien.

Le troisième par contre est pour l'instant sur 10.5 (Leopard). Le problème que je rencontre est tout simplement que le pkg ne peut pas s'ouvrir - je me retrouve avec le message d'erreur suivant : "com.apple.pagecontroller erreur -1".

A tout hasards, je tente le coup de télécharger l'installer de El Capitan. Dès que c'est fait j'essaierai ça. Mais j'ai l'impression que le problème est ailleurs.
J'ai retrouvé des vieux threads de personnes se plaignant de ne pas pouvoir ouvrir de pkg sur leopard. Ils ont réussi à résoudre le problème en réinstallant des versions précédentes, ce qui n'est plus faisable maintenant. Qui plus est les seuls procédures de réinstallation que je trouve datent toutes de 10.7 a minima.

Est-ce que vous auriez une idée de la façon dont je peux résoudre ou contourner le problème pour installer un nouvel OS ? Merci d'avance !

à toutes fins utiles, voici les infos matérielles :

nom & ID : iMac7.1
processeur : Intel Core 2 Duo
vitesse du processeur : 2.4 Ghz
nbr de processeurs / coeurs : 1 / 2
cache de niveau 2 : 4Mo
Mémoire : 4 Go
Vitesse du bus : 800 MHz
Version de la ROM de démarage : IM71.007A.B00
Version du SMS 1.21f4
 

Moonwalker

Dark Star
Club MacG
22 Avril 2006
22 467
4 695
Là-haut
Bonjour,

10.5 Leopard est un système très ancien, voir même dépassé. Il était vivement conseillé même à l'époque de migrer vers 10.6 Snow Leopard.

Snow Leopard n'est plus en vente dans le circuit officiel Apple. Néanmoins, tu peux installer 10.11 El Capitan sur cette machine mais tu ne peux pas le faire en mode "mise à niveau", c'est-à-dire par-dessus 10.5.

Il te faut procéder par "Clean install", c'est à dire tout effacer et installer.

Si tu as déjà un Mac en 10.10 Yosemite cela va être très simple.

Tu y télécharges El Capitan et tu créés un programme d'installation amorçable de 10.11 El Capitan, sur une clé USB 8 Go ou sur une partition d'un disque dur externe de même taille (je conseille plutôt cela, c'est plus rapide et plus sûr).

La procédure par Apple :

Il existe des logiciels qui prétendent souvent réaliser cela et provoquent d'interminables discussions sur le forum sur le thème "ça ne marche pas". La méthode Apple c'est rustique (Terminal) mais 100% de réussite.

Quand ton programme d'installation amorçable est prêt, tu démarres sur le programme d'installation amorçable à l'aide de l'iMac en Leopard (maintenir la touche option = choix de volume de démarrage).

À l'aide de l'utilitaire de disque qui se trouve sur la clé (ou le DD externe) tu reformates le DD interne de l'iMac, Mac OS étendu journalisé non-sensible à la casse. Ensuite tu lances l'installation de El Capitan.

Prendre patience, cela risque de durer longtemps. Il est possible qu'il y ait plusieurs redémarrage. Laisser faire.
 

Eyden6

Nouveau membre
4 Mars 2020
2
0
33
Génial, c'est très clair. Je tente la manip' et te tiens au courant de comment ça s'est passé. Merci beaucoup !
 

sifoto

Membre confirmé
2 Février 2019
315
465
sifoto.wixsite.com
Il y a une autre technique très simple que j'aime bien utiliser et qui a je trouve quelques avantages.

Sur une des deux machines avec "Yosemite" tu installes "Carbon Copy Cloner" afin de la cloner sur un disque externe. Tu te retrouves avec un disque depuis lequel tu peux démarrer et utiliser les trois Mac, en cas de souci c'est vraiment bien.

https://bombich.com/fr

Ensuite, ton disque externe branché sur la machine sous "Leopard", tu appuies sur la touche "alt" au démarrage et tu choisis de démarrer "Yosemite" depuis le disque externe.
Depuis Yosemite tu formates le disque du Mac qui contient "Leopard"
À l'aide de l'utilitaire de disque tu reformates le DD interne de l'iMac, Mac OS étendu journalisé non-sensible à la casse.
Il ne te reste plus qu'a cloner à nouveau "Yosemite" sur le disque du Mac.

C'est rapide, très facile à faire et efficace. Par la suite, tu pourras faire la mise à niveau vers El Capitan :)
 
Dernière édition: